about summary refs log tree commit diff stats
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xpkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/pkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh b/pkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh
new file mode 100755
index 00000000..90ebe1ce
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh
@@ -0,0 +1,27 @@
+#! /usr/bin/env sh
+
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+test="$(mktemp --directory)"
+
+cleanup() {
+    rm --recursive "$test"
+}
+trap cleanup EXIT
+
+cat <<EOF | while read -r name; do mkdir --parents "$test/media/books/${name}"; done
+Andre A
+Anton B
+Andon C
+Anton D
+EOF
+
+execute_make_maps --home-name "$test" --depth 100 generate "$test"/* >/dev/null